Mint 18.1 - Unable to play Apple lossless files in this release

Questions about codecs, DVD playback, web plugins...
Forum rules
Before you post please read how to get help
Post Reply
ec91066
Level 1
Level 1
Posts: 31
Joined: Wed Mar 26, 2014 7:14 pm

Mint 18.1 - Unable to play Apple lossless files in this release

Post by ec91066 » Fri Feb 03, 2017 10:56 pm

Hello,

I have this problem with Mint 18.1 Cinnamon which never occurred in previous releases (I've been using Mint 17.3 lately).

I have my music collection in Apple lossless (m4a) and I can't play it on Rhythmbox, Clementine and Banshee. However, I can play it on VLC and Audacious.

a) Rhythmbox does not build a music library. Can't even select files.
b) Clementine builds a music library but gives an error message stating that a plugin is missing to GStreamer when I attempt to play something.
c) Banshee builds a music library and gives error message saying plugin necessary not found, mono-sgen needs plugin Apple Lossless Audio (ALAC) decoder.

Been searching for a solution in Mint and Ubuntu forums but what I found doesn't apply to my case. Apparently I have all codecs and plugins.

Any help would be appreciated. Thanks.

User avatar
xenopeek
Level 24
Level 24
Posts: 23203
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: Mint 18.1 - Unable to play Apple lossless files in this release

Post by xenopeek » Sat Feb 04, 2017 2:26 am

I don't have any ALAC M4A files but found a free test file on http://www.hyperion-records.co.uk/testfiles.asp. I installed mint-meta-codecs. I can reproduce the issue as you describe both on Linux Mint 18.1 and on Ubuntu 16.04 (with ubuntu-restricted-extras installed). As you already said, all the information I could find about it online doesn't help :?

Starting xplayer from the terminal I find this error but it doesn't help to find a solution:

Code: Select all

** Message: Missing plugin: gstreamer|1.0|xplayer|Apple Lossless Audio (ALAC) decoder|decoder-audio/x-alac, samplesize=(int)16, max-input-size=(int)13809 (Apple Lossless Audio (ALAC) decoder)
Right now I think you have two options. Either use a music player that works with ALAC or convert the ALAC files to FLAC. From elsewhere suggested mpv, smplayer, gogglesmm and qmpp should work. These are all different kinds of crappy, at least for playing music. From my own testing most other players don't work as they use GStreamer. To convert the files to FLAC you can use ffmpeg (install it first) with command like: ffmpeg -i oldfile.m4a newfile.flac

Edit: also tried Totem and it recommends to install gstreamer1.0-libav and gstreamer1.0-libav:i386 but didn't change anything apart from Totem no longer recommending to install them :roll: I can play the test file without issue on Arch Linux and that also had gstreamer1.0-plugins-bad but installing that didn't change anything either. I'm left with the conclusion that GStreamer on Ubuntu 16.04 is broken.
Image

User avatar
greerd
Level 5
Level 5
Posts: 986
Joined: Sat Jul 31, 2010 10:58 am
Location: Nova Scotia, Canada

Re: Mint 18.1 - Unable to play Apple lossless files in this release

Post by greerd » Sat Feb 04, 2017 8:25 am

DeaDBeef plays the test m4a test file from xenopeeks test site without issue.

Code: Select all

sudo add-apt-repository ppa:starws-box/deadbeef-player
sudo apt-get update

ec91066
Level 1
Level 1
Posts: 31
Joined: Wed Mar 26, 2014 7:14 pm

Re: Mint 18.1 - Unable to play Apple lossless files in this release

Post by ec91066 » Sat Feb 04, 2017 4:19 pm

Thanks xenopeek, I guess we will have to wait for an update on gstreamer.

Thanks for your tip greerd. Now I remeber seeing deadbeef once on an ArtrtistX distro (I think). Like Audacious, has a great equalizer but not very practical to manage nearly 500 albums :) .

tkf
Level 1
Level 1
Posts: 1
Joined: Sun Feb 05, 2017 12:16 am

Re: Mint 18.1 - Unable to play Apple lossless files in this release

Post by tkf » Sun Feb 05, 2017 12:32 am

I have the same problem now with Clementine on LM 18.1, was playing ALAC files fine until last week.

Update manager offered 6 gstreamer updates along with other updates, after I installed them, Clementine started showing missing plugin errors.

I assume that Clementine is looking for the old files that were overwritten by the updates.
I cannot find a config file or such for Clementine that may be referring to the old files.
Does anybody know if Clementine has such a file, or perhaps the references are hard coded in the program.

User avatar
xenopeek
Level 24
Level 24
Posts: 23203
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: Mint 18.1 - Unable to play Apple lossless files in this release

Post by xenopeek » Sun Feb 05, 2017 2:19 am

The problem is not with Clementine, the problem is with GStreamer (as all media players that use GStreamer have the same problem with ALAC files). On an unpatched Linux Mint 18.1 and Ubuntu 16.04 the issue is already present so I hesitate to say the problem is related to an update.
Image

Inhabitans
Level 1
Level 1
Posts: 4
Joined: Mon Feb 06, 2017 6:44 pm

Re: Mint 18.1 - Unable to play Apple lossless files in this release

Post by Inhabitans » Mon Feb 06, 2017 7:04 pm

As a professional musician I frequently make use of my audio player in Linux Mint. No problems, until some days ago: trying to play my alac files (and I've got many of these) now results in a message "missing plugin". As I understood from other messages on the forum, the problem lies in an "ill-fated" update of gstreamer. My questions: is the problem known to the "gstreamer-people" and could we receive a correct update on short notice? Thanx...

ec91066
Level 1
Level 1
Posts: 31
Joined: Wed Mar 26, 2014 7:14 pm

Re: Mint 18.1 - Unable to play Apple lossless files in this release

Post by ec91066 » Wed Feb 22, 2017 10:08 am

Hi all.

Yesterday installed Ubuntu's gst-libav1.0 update. Banshee and Clementine are working fine now. Problems in Rhythmbox remain.

User avatar
Flemur
Level 16
Level 16
Posts: 6288
Joined: Mon Aug 20, 2012 9:41 pm
Location: Potemkin Village

Re: Mint 18.1 - Unable to play Apple lossless files in this release

Post by Flemur » Wed Feb 22, 2017 3:20 pm

Mint 18.1
FWIW, I was able to play an ALAC file from
http://www.hyperion-records.co.uk/testfiles.asp
with mpv, vlc, audacity (and of course foobar), but NOT smplayer.
Please edit your original post title to include [SOLVED] if/when it is solved!
Your data and OS are backed up....right?
Mint 18.3 Xfce/fluxbox/pulse-less
Xubuntu 17.10/fluxbox/pulse-less

cuph62
Level 1
Level 1
Posts: 1
Joined: Sun Jun 25, 2017 8:59 am

Re: Mint 18.1 - Unable to play Apple lossless files in this release

Post by cuph62 » Sun Jun 25, 2017 9:02 am

Hi, I managed to solve this by :

apt-get install gstreamer1.0-libav
rm ~/.gstreamer-0.10

Restarted Clementine and it worked ! Finally can play m4a files ...

newmusic
Level 1
Level 1
Posts: 5
Joined: Wed Mar 21, 2018 11:30 am

Re: Mint 18.1 - Unable to play Apple lossless files in this release

Post by newmusic » Wed Jul 11, 2018 5:30 am

This reply might be a bit late but here goes:

I have had problems using Clementine and being unable to play m4a files but I never really bothered with it.
Today, however, it annoyed me so I looked for an answer. Seems everybody on the forums is sitting with the same problem.

I have mint 18.3 and I see there is a menu option to install missing codecs.
I tried that (it installs quite a lot of codecs - even for flash player), closed the program completely and restarted Clementine. Immediately, the files were not greyed out anymore and it played straight away.

Hope this helps somebody.

Post Reply

Return to “Sound, Multimedia, & Codecs”